> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/scheduling/scheduling_layout_list.md).

# Layout List - Campaign

Create a Campaign containing a list of ordered Layouts so that they play in a controlled sequence.

Think of a Layout as a single slide in a presentation deck, a Layout List Campaign is the entire presentation.

## How-to Video Layout List

{% embed url="<https://youtu.be/D29fpVWYJ68>" %}

## Creating a Layout List Campaign

* Go to **Campaigns** under the **Design** section of the main CMS menu.
* Click the **Add Campaign** button.
* Use the **Type** drop down and select **Layout List**.
* Give your Campaign a **Name** for easy identification in the CMS.
* Optionally use the checkbox to enable **Cycle Based Playback**, and provide a number to determine how many 'plays' a Layout should have before moving onto the next Layout in the Campaign.

{% hint style="info" %}
If a 2 was set as the Play Count, the same Layout would be shown twice each Schedule loop before moving onto the next Layout in the sequence.
{% endhint %}

* Leave Cycle based playback blank and use the **List Play Order** menu to select how Layouts will play when scheduled concurrently with another Campaign with the same Display Order:
* Select **Round Robin** to interleave Layouts from each Campaign or **Block** to play Layouts in their set sequence from one Campaign before moving onto the next Campaign.
* Click to **Save**.

On saving, the form will re-open with an additional Layouts tab:

* Select the **Layouts** which should be added to the **Campaign**.
* Use the `+` icon to for each Layout to add.
* Added Layouts will be shown at the top of the **Edit Campaign** form.

Layouts can be re-ordered from here by drag and drop to ensure they play in the correct sequence.

* Click to **Save**.

## Further Reading

{% content-ref url="/pages/L8ste2vjohsdskhuMbDm" %}
[Layout Editor](/layouts/layouts_editor.md)
{% endcontent-ref %}

## FAQs

***Is there an easy way to create multiple Campaigns?***

Make copies of selected Campaigns by using the row menu in the Campaign grid. Once a copy has been created use the row menu to select Edit to make changes to the Layout selection.

***Can I assign Layouts to a Campaign from anywhere else in the CMS?***

Directly assign Layouts to Campaigns from the Layout grid. Use the row menu for a selected Layout and click Assign to Campaign. Once added the Layout will be added at the end of the sequence of other added Layouts by default.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/scheduling/scheduling_layout_list.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
